> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize access to ID

## Overview

Allows the client to (pre-)authorize access to (or remove authorization to access) one of its Legal Identities to a remote party. When (if) the remote party requests the ID, the broker will return it automatically, if already authorized. If not authorized, a petition to access the identity will be sent to the client for manual approval (or rejection).

## HTTP request

`POST /Agent/Legal/AuthorizeAccessToId`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"legalId": Required(Str(PLegalId)),
	"remoteId": Required(Str(PRemoteId)),
	"authorized": Required(Boolean(PAuthorized))
}
```

## Input parameters

| Parameter   | Description                                                                           |
| ----------- | ------------------------------------------------------------------------------------- |
| PLegalId    | Identifier of the corresponding Legal Identity of the client.                         |
| PRemoteId   | Identifier of the Legal Identity of the corresponding remote entity, or its Bare JID. |
| PAuthorized | If the remote entity is authorized access to the corresponding identity or not.       |

## Response (JSON)

```json theme={null}
{
}
```

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
